明月登楼

LNMP环境下安装多PHP版本后,卸载不需要的PHP版本
明月在一个朋友的VPS上部署了LNMP的多PHP版本(可参考『LNMP 1.5环境下多PHP版本共存部署』),因为...
扫描右侧二维码阅读全文
07
2018/12

LNMP环境下安装多PHP版本后,卸载不需要的PHP版本

明月在一个朋友的VPS上部署了LNMP的多PHP版本(可参考『LNMP 1.5环境下多PHP版本共存部署』),因为网站系统变更不需要多PHP版本了,现在想卸载不需要的PHP版本,在查了一番后发现原来很简单,只需要停掉对应的PHP版本进程,删除对应版本的目录即可,今天就分享给大家,自己也做个学习笔记。

124371415.png

以删除PHP 5.6版本为例:

先停止PHP 5.6的进程

/etc/init.d/php-fpm5.6 stop

然后删除对应版本的相关目录和文件即可

rm -rf /usr/local/php5.6
rm -f /etc/init.d/php-fpm5.6
rm -f /usr/local/nginx/conf/enable-php5.6.conf

注:其他版本的话替换前面的版本号

最后通过查看PHP运行状况确认卸载PHP版本成功卸载了

ps -ef|grep php-fpm

一个服务的多版本问题,主要考虑的是的兼容性,当我们在一台服务器上安装多个版本的服务,我们需要有足够的把握,才去部署,你可以在本地安装测试完再部署到线上的环境,另外,对一些热门的软件,需要要熟练的掌握才行,避免操作出错。

最后修改:2018 年 12 月 07 日 12 : 34 AM
如果觉得我的文章对你有用,请随意赞赏

6 条评论

  1. wordpress建站吧

    有点儿卡呢,,

    1. 明月登楼
      @wordpress建站吧

      啥意思?卡?

  2. wordpress建站吧

    技术贴 啊,支持学习了

    1. 明月登楼
      @wordpress建站吧

      谢谢支持!欢迎常来哦!

  3. Action

    兼容的确是最担心的,有次直接把php版本5.5升到7.2,网站直接就崩了。

    1. 明月登楼
      @Action

      那网站一般都是织梦CMS之流的,WordPress、Typecho这些可能不会崩!

发表评论